Crystal Space: scfArrayWrapConst< IF, Backend > Class Template Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# scfArrayWrapConst< IF, Backend > Class Template Reference
[Containers]

Implementation for iArrayReadOnly<>-derived interfaces, backed by a reference to another array. More...

`#include <csutil/scfarray.h>`

Inheritance diagram for scfArrayWrapConst< IF, Backend >:

[legend]
List of all members.

## Public Member Functions
iArrayReadOnly<> implementation
virtual size_t | Find (ContainedType const &which) const
virtual ContainedType const & | Get (size_t n) const
virtual void | GetAll (ContainedType *dest) const
virtual size_t | GetIndex (const ContainedType *which) const
virtual size_t | GetSize () const
virtual bool | IsEmpty () const
virtual ContainedType const & | Top () const
| scfArrayWrapConst (const Backend &storage, iBase *scfParent)
| scfArrayWrapConst (const Backend &storage)
| Initialize with a reference to the given storage.
## Public Attributes
const Backend & | storage
| Reference to the array storage.

## Detailed Description

### template<typename IF, typename Backend>
class scfArrayWrapConst< IF, Backend >

Implementation for iArrayReadOnly<>-derived interfaces, backed by a reference to another array.

The `IF` template parameter denotes the array interface to be implemented, the `Backend` template parameter the array type used for storage.

Warning:
  It must be ensured that the referenced array used for storage is alive as long as any instance of scfArrayWrap exists!

Definition at line 245 of file scfarray.h.

## Constructor & Destructor Documentation

template<typename IF, typename Backend>

scfArrayWrapConst< IF, Backend >::scfArrayWrapConst | ( | const Backend & | storage | ) | `[inline]`

Initialize with a reference to the given storage.

Definition at line 257 of file scfarray.h.

## Member Data Documentation

template<typename IF, typename Backend>

const Backend& scfArrayWrapConst< IF, Backend >::storage

Reference to the array storage.

Definition at line 253 of file scfarray.h.

Referenced by scfArrayWrapConst< iGradientShades, csArray< csGradientShade > >::Find(), scfArrayWrapConst< iGradientShades, csArray< csGradientShade > >::Get(), scfArrayWrapConst< iGradientShades, csArray< csGradientShade > >::GetAll(), scfArrayWrapConst< iGradientShades, csArray< csGradientShade > >::GetIndex(), scfArrayWrapConst< iGradientShades, csArray< csGradientShade > >::GetSize(), scfArrayWrapConst< iGradientShades, csArray< csGradientShade > >::IsEmpty(), and scfArrayWrapConst< iGradientShades, csArray< csGradientShade > >::Top().

The documentation for this class was generated from the following file:

- csutil/scfarray.h